Package org.eclipse.spi.net4j

## Class Protocol.InfraStructureChangedEvent

- java.lang.Object
- - java.util.EventObject
  - - org.eclipse.net4j.util.event.Event
    - - org.eclipse.spi.net4j.Protocol.InfraStructureChangedEvent

- All Implemented Interfaces:
    `java.io.Serializable`, `org.eclipse.net4j.util.event.IEvent`
  Enclosing class:
    Protocol<INFRA_STRUCTURE>

      public final class Protocol.InfraStructureChangedEvent
      extends org.eclipse.net4j.util.event.Event

  Since:
    4.13
  Author:
    Eike Stepper
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class java.util.EventObject

      `source`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `INFRA_STRUCTURE` | `getNewInfraStructure()` |
    `INFRA_STRUCTURE` | `getOldInfraStructure()` |
    `Protocol<INFRA_STRUCTURE>` | `getSource()` |

    - ### Methods inherited from class org.eclipse.net4j.util.event.Event

      `formatAdditionalParameters, formatEventName, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Method Detail

    - #### getSource

          public Protocol<INFRA_STRUCTURE> getSource()

      Specified by:
        `getSource` in interface `org.eclipse.net4j.util.event.IEvent`
      Overrides:
        `getSource` in class `org.eclipse.net4j.util.event.Event`

    - #### getOldInfraStructure

          public final INFRA_STRUCTURE getOldInfraStructure()

    - #### getNewInfraStructure

          public final INFRA_STRUCTURE getNewInfraStructure()